Summary: A Free IPSEC implemetation with x509 Patches
Name: freeswan-x509
Version: 1.99
Release: 1
Source0: freeswan-%{version}.tar.gz
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gmp-devel
Prefix: %{_prefix}
URL: https://www.freeswan.org/
Prereq: /sbin/chkconfig

%define x509_version 0.9.15
Source1: http://www.strongsec.com/freeswan/x509patch-%{x509_version}-freeswan-%{version}.tar.gz
Source2: fswcert.make.patch.tar
Source3: freeswan-1.94-makefile.inc.diff.tar
Source4: fswcert.tar.gz
Patch1: freeswan-1.8-config.patch.bz2

%description
The basic idea of IPSEC is to provide security functions
(authentication and encryption) at the IP (Internet Protocol)
level. It will be required in IP version 6 (better known as IPng,
the next generation) and is optional for the current IP, version 4.

FreeS/WAN is a freely-distributable implementation of IPSEC protocol.

The fswcert tool has been removed from the x509 toolkit. For backup compatibility it is provided
in this package. But remember it is deprecated. The private x509 keys are now stored in 
/etc/ipsec.d/private. Read the documentation!

You still have generate your own keys. Read the ipsec.secrets manpage.

%prep
%setup -q -n %{name}-%{version} -c -a 1
%setup -D -n %{name}-%{version} -a 2
%setup -D -n %{name}-%{version} -a 3
%setup -D -n %{name}-%{version} -a 4
cd freeswan-%{version}
#cd pluto
#patch -p1 < ../../x509patch-%{x509_version}-freeswan-%{version}/pluto.diff
#cd ../utils
#patch auto ../../x509patch-%{x509_version}-freeswan-%{version}/auto.diff
#patch _confread ../../x509patch-%{x509_version}-freeswan-%{version}/fswcert/_confread.patch
patch -p1 < ../x509patch-%{x509_version}-freeswan-%{version}/freeswan.diff
#cd ..
patch Makefile.inc < ../freeswan-1.94-makefile.inc.diff
#%patch -p1
#%patch1 -p1

%build
cd freeswan-%{version}
make OPT_FLAGS="$RPM_OPT_FLAGS" programs
cd ../fswcert
patch Makefile ../fswcert.make.patch
make

%install
rm -rf $RPM_BUILD_ROOT
cd freeswan-%{version}
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d,/var/run/pluto}
install -m 600 pluto/ipsec.secrets $RPM_BUILD_ROOT/etc
install -m 600 testing/baseconfigs/east/etc/ipsec.conf $RPM_BUILD_ROOT/etc
make install \
	DESTDIR="%buildroot"
cd ../x509patch-%{x509_version}-freeswan-%{version}
#install --strip fswcert $RPM_BUILD_ROOT/usr/lib/ipsec/
#install --strip fswcert $RPM_BUILD_ROOT/usr/sbin
mkdir -pm 700 $RPM_BUILD_ROOT/etc/ipsec.d/cacerts
mkdir -pm 700 $RPM_BUILD_ROOT/etc/ipsec.d/crls
mkdir -pm 700 $RPM_BUILD_ROOT/etc/ipsec.d/private
#cd ..
#mv README /usr/share/doc/%{name}-%{version}/README.x509
#mv CHANGES /usr/share/doc/%{name}-%{version}/CHANGES.x509
mv README ../README.x509
mv CHANGES ../CHANGES.x509
cd ../fswcert
#mv README /usr/share/doc/%{name}-%{version}/README.fswcert
mv README ../README.fswcert
install -m 500 fswcert $RPM_BUILD_ROOT/usr/sbin/fswcert

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipsec
/sbin/chkconfig ipsec off
echo "You successfully installed the freeswan userspace tools. For"
echo "authentication purposes freeswan needs keys which are stored in "
echo "/etc/ipsec.secrets."
echo "A sample file with sample keys has been installed. Replace this "
echo "file with your own keys!"
echo "If you would like to do it now, enter:"
echo "echo -e \": RSA {\n\";ipsec rsasigkey 2048;echo -e \"  }\n\" > /etc/ipsec.secrets"

%preun
/sbin/chkconfig --del ipsec

%files
%defattr(-,root,root,755)
%config(noreplace) %{_sysconfdir}/ipsec.conf
%config(noreplace) %{_sysconfdir}/ipsec.secrets
%config(noreplace) %{_sysconfdir}/ipsec.d/*
%config(noreplace) %{_initrddir}/ipsec
%{_libdir}/ipsec
%{_sbindir}/ipsec
%{_sbindir}/fswcert
%{_mandir}/*/*
/usr/local/*
%doc README.x509 CHANGES.x509 README.fswcert
%doc freeswan-%version/doc/

%changelog
* Mon Sep 15 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Upgraded to x509-patch-0.9.14 

* Mon Jul 22 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Upgraded to x509-patch-0.9.14 
- Upgraded to freeswan 1.98b
- supports now dhcp-over-ipsec

* Fri Jun 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Upgraded to x509-patch-0.9.12

* Mon May 27 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Added postinstall/preuninstall scripts to automatically start and stop ipsec

* Fri Mar 01 2002 Ralf Spenneberg <ralf@spenneberg.de>
- added fswcert
- added /etc/ipsec.d/private

* Tue Jan 19 2002 Ralf Spenneberg <ralf@spenneberg.de>
- updated to freeswan 1.95 and x509 0.9.8

* Mon Dec 31 2001 Ralf Spenneberg <ralf@spenneberg.de>
- Modified package for 1.94 and x509 0.9.6

* Wed Nov 07 2001 Ralf Spenneberg <ralf@spenneberg.de>
- Created package
- Patched with x509
